Enumerate.h File Reference

Contains the public API of the for the reaction enumeration engine. More...

`#include <RDGeneral/export.h>`
`#include "EnumerateBase.h"`

Go to the source code of this file.

## Classes

struct | RDKit::EnumerationParams
class | RDKit::EnumerateLibrary
| This is a class for running reactions on sets of reagents. More...

## Namespaces

| RDKit
| Std stuff.

## Functions

RDKIT_CHEMREACTIONS_EXPORT EnumerationTypes::BBS | RDKit::removeNonmatchingReagents (const ChemicalReaction &rxn, EnumerationTypes::BBS bbs, const EnumerationParams &params=EnumerationParams())
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::EnumerateLibraryCanSerialize ()

## Detailed Description

Contains the public API of the for the reaction enumeration engine.

Note that this should be considered beta and that the API may change in future releases.

Definition in file Enumerate.h.